Microsimulation API

Classes | Enumerations | Functions | Variables
illnessDeath Namespace Reference

## Classes
class | SimplePerson

## Enumerations
enum | state_t { Healthy, Cancer }
enum | event_t { toOtherDeath, toCancer, toCancerDeath }

## Functions
double | b_weibull (double mean, double a, double rr=1.0)
RcppExport SEXP | callIllnessDeath (SEXP parms)

## Variables
EventReport< short, short, double > | report
double | cure
double | zsd

## Enumeration Type Documentation

## ◆ event_t

enum illnessDeath::event_t

Enumerator
toOtherDeath |
toCancer |
toCancerDeath |

Definition at line 11 of file illness-death.cpp.

## ◆ state_t

enum illnessDeath::state_t

Enumerator
Healthy |
Cancer |

Definition at line 9 of file illness-death.cpp.

## Function Documentation

## ◆ b_weibull()

double illnessDeath::b_weibull | ( | double | mean,
|  | double | a,
|  | double | rr = `1.0`
| ) |  |

Definition at line 17 of file illness-death.cpp.

## ◆ callIllnessDeath()

RcppExport SEXP illnessDeath::callIllnessDeath | ( | SEXP | parms | ) |

Definition at line 73 of file illness-death.cpp.

## Variable Documentation

## ◆ cure

double illnessDeath::cure

Definition at line 14 of file illness-death.cpp.

## ◆ report

EventReport<short,short,double> illnessDeath::report

Definition at line 13 of file illness-death.cpp.

## ◆ zsd

double illnessDeath::zsd

Definition at line 14 of file illness-death.cpp.